2008-11-17 18:25:00

by XazZ XazZ

[permalink] [raw]
Subject: Re: Problem with bluez and a bluetooth headset

good evening

> I'd recommend you to try kernel 2.6.27 or later.
> A fix concerning eSCO fallback is in it.
> The bug is triggered by using a bluetooth 2 dongle and bluetooth 1
> headset, for instance.

I'm already running a kernel which is newer than 2.6.27 (I'm currently
running 2.6.28 rc3)
But something else must be wrong then:
my USB dongle is a 2.0 one and my headset is also a 2.0 device

[[email protected] ~]$ hciconfig hci0 version | grep HCI
HCI Ver: 2.0 (0x3) HCI Rev: 0x2c6 LMP Ver: 2.0 (0x3) LMP Subver: 0x2c6

that's what my hciconfig says about my dongle

>Bluetooth version
> * Bluetooth version: 2.0 with EDR
That is directly taken from my headsets manufacturers website (Nokia)

Thanks in advance
XazZ